org.omg.CosNaming

## Class BindingType

- java.lang.Object
- - org.omg.CosNaming.BindingType

All Implemented Interfaces:
  Serializable, IDLEntity

    public class BindingType
    extends Object
    implements IDLEntity

Specifies whether the given binding is for a object (that is not a naming context) or for a naming context.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `_ncontext`
`static int` `_nobject`
`static BindingType` `ncontext`
`static BindingType` `nobject`

### Constructor Summary

Constructors
`protected` `BindingType(int value)`

### Method Summary

Methods
`static BindingType` `from_int(int value)`
`int` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _nobject

    public static final int _nobject

See Also:
  Constant Field Values

#### nobject

    public static final BindingType nobject

#### _ncontext

    public static final int _ncontext

See Also:
  Constant Field Values

#### ncontext

    public static final BindingType ncontext

### Constructor Detail

#### BindingType

    protected BindingType(int value)

### Method Detail

#### value

    public int value()

#### from_int

    public static BindingType from_int(int value)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.